#include <bits/stdc++.h>

using namespace std;
int const nmax=101;
int n,qu=0;
int a[nmax][nmax];
int stack1[nmax];
void init(int n)
{
    int i,j;
    for(i=0;i<n-1;i++)
        for(j=i+1;j<n;j++)
    {
        cin>>a[i][j];
        a[j][i]=a[i][j];
    }
    for (i=0;i<n;i++)
        a[i][i]=0;
}
void Cycle(int v)
{
    int j;
    for(j=0;j<n;j++)
        if(a[v][j]!=0)
    {
        a[v][j]=0;
        a[j][v]=0;
        Cycle(j);
    }
    qu++;
    stack1[qu]=v;
 }
 void OutPut(int n)
 {
     int i;
     for (i=1;i<=qu;i++)
        cout<<" "<<stack1[i];
     cout<<endl;
 }
    int main()
{
    cin>>n;
    init(n);
    Cycle(1);
    OutPut(n);
    return 0;
}
